This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 436834 - xorg segfaults at GDM login
xorg segfaults at GDM login
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-evdev (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Beta
  Show dependency treegraph
 
Reported: 2008-03-10 14:34 EDT by Will Woods
Modified: 2008-03-11 20:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 20:21:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full /var/log/gdm/:0.log (27.75 KB, text/plain)
2008-03-10 14:34 EDT, Will Woods
no flags Details

  None (edit)
Description Will Woods 2008-03-10 14:34:36 EDT
On my rawhide machine, xorg segfaults when you click on the "Other.." user item
in GDM. 

xorg-x11-server-Xorg-1.4.99.901-1.20080307.fc9.x86_64
xorg-x11-drv-sis-0.9.4-4.fc9.x86_64
gdm-2.21.9-0.2008.03.10.1.fc9.x86_64

Here's the backtrace:

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x65) [0x479d35]
1: /lib64/libc.so.6 [0x7fa55ef3a000]
2: /usr/bin/Xorg(GetPointerEvents+0xb60) [0x457610]
3: /usr/bin/Xorg(xf86PostMotionEventP+0x9a) [0x49208a]
4: /usr/bin/Xorg(xf86PostMotionEvent+0xb1) [0x492291]
5: /usr/lib64/xorg/modules/input//evdev_drv.so [0x7fa55b028cf7]
6: /usr/bin/Xorg [0x479e85]
7: /usr/bin/Xorg [0x46a4f7]
8: /lib64/libc.so.6 [0x7fa55ef3a000]
9: /lib64/libc.so.6(sigprocmask+0x10) [0x7fa55ef3a230]
10: /usr/bin/Xorg(xf86UnblockSIGIO+0x2d) [0x469f4d]
11: /usr/lib64/xorg/modules//libint10.so(finish_int+0xb) [0x7fa55c80462b]
12: /usr/lib64/xorg/modules//libvbe.so(VBESetVBEMode+0xa0) [0x7fa55ca22c30]
13: /usr/lib64/xorg/modules/drivers//sis_drv.so [0x7fa55d51878e]
14: /usr/lib64/xorg/modules/drivers//sis_drv.so [0x7fa55d51928c]
15: /usr/bin/Xorg [0x501ebb]
16: /usr/bin/Xorg [0x522cf4]
17: /usr/bin/Xorg(main+0x4d4) [0x42c834]
18: /lib64/libc.so.6(__libc_start_main+0xfa) [0x7fa55ef2547a]
19: /usr/bin/Xorg(FontFileCompleteXLFD+0x279) [0x42bb99]

Fatal server error:
Caught signal 11.  Server aborting

Full log is attached.
Comment 1 Will Woods 2008-03-10 14:34:36 EDT
Created attachment 297488 [details]
full /var/log/gdm/:0.log
Comment 2 Will Woods 2008-03-10 14:38:16 EDT
Doh. Too much time with python tracebacks or something; read this one backwards.
It's probably an evdev bug. 

xorg-x11-drv-evdev-1.99.1-0.1.fc9.x86_64
Comment 3 Adam Jackson 2008-03-11 19:30:12 EDT
Unable to repro this here.  That backtrace is _really_ weird, the sis driver
normally doesn't set modes with VBE.

Not sure this is strong enough for a beta blocker.
Comment 4 Will Woods 2008-03-11 20:21:37 EDT
Whatever it was, it's stopped happening now. Closing RAWHIDE; if it comes back I'll reopen.

Note You need to log in before you can comment on or make changes to this bug.